#
# spec file for package xdelta
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           xdelta
BuildRequires:  coreutils
BuildRequires:  glib2-devel
BuildRequires:  glibc-devel
BuildRequires:  libtool
BuildRequires:  zlib-devel
Version:        1.1.4
Release:        207.4
Summary:        Binary delta generator and RCS replacement library
License:        GPL-2.0+
Group:          Productivity/Archiving/Backup
Source:         %{name}-%{version}.tar.bz2
Patch:          %{name}-%{version}.patch
Patch2:         %{name}-%{version}-autoconf.patch
Patch3:         %{name}-%{version}-aliasing.patch
Patch4:         %{name}-%{version}-glib2.patch
Patch5:         %{name}-%{version}-large-files.patch
Patch6:         %{name}-%{version}-automake-1.13.patch
Source1:        xdeltadir.pl
Source2:        xdeltadir.1.gz
Url:            http://xdelta.org/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
PreReq:         %install_info_prereq

%description
Xdelta is a binary delta generator and RCS replacement library. The
delta algorithm is faster than GNU diff for text files and works on
binary files, too.

%package devel
Summary:        Binary delta generator and RCS replacement library
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}
Requires:       glib2-devel

%description devel
Xdelta is a binary delta generator and RCS replacement library. The
delta algorithm is faster than GNU diff for text files and works on
binary files, too.

%prep
%setup -q
chmod -x AUTHORS COPYING INSTALL Makefile.am NEWS README *.c *.h *.in xd* */*
%patch
%patch2
%patch3
%patch4
%patch5 -p1
%patch6 -p1

%build
%{?suse_update_config:%{suse_update_config -f}}
libtoolize -f
aclocal
autoconf
automake -a
export CFLAGS="$RPM_OPT_FLAGS -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64"
%configure --disable-static
make

%install
%makeinstall
find %{buildroot} -type f -name "*.la" -delete -print
install -m 755 %{S:1} $RPM_BUILD_ROOT%{_bindir}/xdeltadir
install -m 644 %{S:2} $RPM_BUILD_ROOT%{_mandir}/man1/

%clean
rm -rf $RPM_BUILD_ROOT

%post
%install_info --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz
/sbin/ldconfig

%postun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc README NEWS COPYING AUTHORS
%{_bindir}/xdelta
%{_bindir}/xdeltadir
%{_mandir}/man1/xdelta.*
%{_mandir}/man1/xdeltadir.*
%{_libdir}/lib*.so.*

%files devel
%defattr(-, root, root)
%{_includedir}/*
%{_bindir}/xdelta-config
%{_libdir}/*.so
%{_datadir}/aclocal/xdelta.m4

%changelog
* Tue Mar  5 2013 pgajdos@suse.com
- builds with automake 1.13
  * automake-1.13.patch
* Sat Nov 19 2011 coolo@suse.com
- add libtool as buildrequire to avoid implicit dependency
* Mon Oct 24 2011 pgajdos@suse.com
- print unsigned values [bnc#720382] comment 43
  * modified large-files.patch
* Mon Oct 10 2011 pgajdos@suse.com
- fixed [bnc#720382] -- xdelta does not work on large files
  * large-files.patch
* Tue Jul 26 2011 pgajdos@novell.com
- compile with  -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
  [bnc#644388]
* Thu Jan  7 2010 vuntz@opensuse.org
- Remove unneeded gtk1-compat-devel BuildRequires.
- Add zlib-devel BuildRequires.
- Update xdelta-1.1.4-glib2.patch to fully convert xdelta to glib2
  without the need of gtk1-compat, and stop editing
  libedsio/edsio.c in %%setup.
- Update xdelta-1.1.4-autoconf.patch to remove the glib 1.x related
  changes.
- Remove pcre-devel Requires for devel package: it used to be
  missing from glib2-devel Requires, but it's fixed now.
- Use makeinstall macro.
- Do not package .la files.
- Move xdelta-config and m4 file to devel subpackage.
* Tue Apr 14 2009 dmueller@suse.de
- refresh patches
* Tue Feb 19 2008 prusnak@suse.cz
- added ldconfig to %%post and %%postun
* Tue Feb 13 2007 prusnak@suse.cz
- update to 1.1.4
  * fixed bug: compressed data from 32-bit platforms failed
    to decompress on 64-bit platforms
- don't build unusable static libraries
- dropped obsoleted patches:
  * xdelta-1.1.3-gcc4.patch
* Tue May 30 2006 sbrabec@suse.cz
- Force glib2 using gtk1-compat-devel again; loki_update is gtk2.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Nov  8 2005 lnussel@suse.de
- go back to glib1 so loki_update doesn't need both gtk 1 and 2
* Wed Oct 12 2005 sbrabec@suse.cz
- Force glib2 using gtk1-compat-devel.
* Tue Mar  1 2005 meissner@suse.de
- fixed build with gcc4.
* Thu Nov 18 2004 ro@suse.de
- fixed file list
* Wed Sep 15 2004 tcrhak@suse.cz
- quoted definition of AM_PATH_XDELTA in xdelta.m4 (bug #44990)
* Mon Sep  6 2004 tcrhak@suse.cz
- update to 1.1.3
* Fri Apr 23 2004 tcrhak@suse.cz
- strict aliasing fix
* Mon Jan 12 2004 ro@suse.de
- remove run_ldconfig (not needed)
* Sat Jan 10 2004 adrian@suse.de
- add %%run_ldconfig
* Mon Jul 28 2003 tcrhak@suse.cz
- fixed to find glib
* Thu Apr 24 2003 ro@suse.de
- fix install_info --delete call and move from preun to postun
* Thu Feb 13 2003 mmj@suse.de
- Add %%install_info macros [#23473]
* Tue Jan 14 2003 nadvornik@suse.cz
- fixed multi-line string literals
* Mon Apr  1 2002 ro@suse.de
- build with new automake/autoconf
* Wed Feb 20 2002 tcrhak@suse.cz
- another fix of incorrectly treated exceptions
* Tue Feb 19 2002 tcrhak@suse.cz
- xdmain.c: use gint32 instead of guint32 when compared whether less
  then zero
* Tue Jan 29 2002 vinil@suse.cz
- use %%_libdir
- spec file cleanup
- source bzip2ed
* Fri Oct 19 2001 schwab@suse.de
- Workaround stupid assumption that sizeof(void *) is the same everywhere.
* Wed Apr 18 2001 pblaha@suse.cz
- add URL tag
* Fri Jan 26 2001 pblaha@suse.cz
- added xdeltadir perl script
* Fri May 26 2000 bubnikv@suse.cz
- sorted
* Fri Apr  7 2000 bk@suse.de
- added suse update config macro
- moved configure to %%build (standard place)
* Fri Mar 24 2000 bubnikv@suse.cz
- added buildroot
* Thu Mar  2 2000 fehr@suse.de
- moved man pages to /usr/share/man
- moved info pages to /usr/share/info
* Mon Jan  3 2000 fehr@suse.de
- changed to version 1.1.1
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Jul 13 1999 bs@suse.de
- use gtk and glib instead of gtkn and glibn
* Tue May 18 1999 fehr@suse.de
- changed to version 1.0.0 of package
* Fri Jun 26 1998 fehr@suse.de
- changed to version 0.19 of package
* Thu Oct 30 1997 fehr@suse.de
- add xdelta package to S.u.S.E. distribution
